# $Revision: 1.36 $, $Date: 2002/09/14 09:55:15 $
Summary:	MSWord Document to HTML converter
Summary(es):	MSWord 6/7/8/9 binary file format -> HTML converter
Summary(pl):	Konwerter domumentw MSWord do HTML
Summary(pt_BR):	Conversor de arquivos formato Word (6/7/8/9) para html
Name:		wv
Version:	0.7.2
Release:	2
License:	GPL
Group:		Applications/Text
Vendor:		Caolan McNamara <Caolan.McNamara@ul.ie>
Source0:	http://download.sourceforge.net/wvware/%{name}-%{version}.tar.gz
Patch0:		%{name}-magick.patch
Patch1:		%{name}-ac25x.patch
URL:		http://www.wvWare.com/
BuildRequires:	ImageMagick-devel >= 1:5.4.5
BuildRequires:	XFree86-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	expat-devel
BuildRequires:	glib-devel
BuildRequires:	libtool
BuildRequires:	libwmf-devel >= 0.2.2
#BuildRequires:	libxml2-devel
Obsoletes:	mswordview
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
MSWordView is a program that understands the Microsoft Word 8 binary
file format (Office97, Office2000) and is able to convert Word
documents into HTML, which can then be read with a browser.

wv is a suite of programs to help convert Word Documents to HTML.

%description -l pl
MSWordView jest programem, ktry rozumie binarne dokumenty programu
Microsoft Word 8 (Office97, Office2000) i jest w stanie skonwertowa
je do dokumentu HTML, ktry moe by przeczytany w przegldarce WWW.

wv jest elementem programw, ktre pomagaj przekonwertowa dokumenty
Worda do HTML.

%description -l pt_BR
Conversor de arquivos formato Word (6/7/8/9) para html

%package devel
Summary:	Include files needed to compile
Summary(pl):	Pliki nagwkowe do biblioteki wv
Group:		Development/Libraries
Requires:	%{name} = %{version}

%description devel
Contains the header files.

%description devel -l pl
Pakiet tem zawiera pliki nagwkowe wv.

%package static
Summary:	Static wv libraries
Summary(pl):	Biblioteki statyczne wv
Summary(pt_BR):	Bibliotecas estticas para desenvolvimento com o wv
Group:		Libraries
Requires:	%{name}-devel = %{version}

%description static
Contains static wv libraries.

%description static -l pl
Pakiet zawiera statyczne biblioteki wv.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

# Checking for CVS specific files and removing them.
find . -type d -name 'CVS'| xargs rm -rf

%build
rm -f missing acinclude.m4
%{__libtoolize}
aclocal
%{__autoconf}
autoheader
%{__automake} -i
CPPFLAGS="-I/usr/X11R6/include/X11"
%configure CPPFLAGS="$CPPFLAGS" \
	--with-exporter \
	--with-zlib \
	--with-png \
	--with-expat \
	--with-libwmf \
	--with-Magick=/usr/X11R6 \
	--enable-static

mv -f magick magick-wv
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	mandir=%{_mandir}

%clean
rm -fr $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc CHANGELOG CREDITS D_CREDITS D_README KNOWN-BUGS README TESTING TODO.TXT
%attr(755,root,root) %{_bindir}/wv*
%attr(755,root,root) %{_libdir}/lib*.so.*.*
%{_datadir}/wv
%{_mandir}/man*/*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/libwv-config
%attr(755,root,root) %{_libdir}/lib*.la
%attr(755,root,root) %{_libdir}/lib*.so
%{_includedir}/*.h

%files static
%defattr(644,root,root,755)
%{_libdir}/libwv.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: wv.spec,v $
Revision 1.36  2002/09/14 09:55:15  qboosh
- added *.la to -devel, new %%doc; release 2

Revision 1.35  2002/06/23 20:32:37  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.34  2002/05/21 23:15:03  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.33  2002/05/12 20:56:21  qboosh
- updated magick patch for ImageMagick 5.4.5 API

Revision 1.32  2002/05/05 00:01:16  qboosh
- updated to 0.7.2, fixed mandir

Revision 1.31  2002/04/28 13:32:18  qboosh
- added ac25x patch needed for autoconf 2.53/automake 1.6
- libpng 1.2.2 support

Revision 1.30  2002/02/22 23:30:00  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.29  2002/02/22 08:37:46  kloczek
- release 2: rebuild against libwmf 0.2.2.

Revision 1.28  2002/02/21 23:28:23  qboosh
- updated to 0.7.1, removed outdated ac_fix and DESTDIR patches
- use system expat and ImageMagick libs (better magick patch)
- enabled libwmf support - works at last

Revision 1.27  2002/01/18 02:15:26  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.26  2001/11/08 06:19:46  kloczek
- updated to 0.7.0,
- added "rm -f missing" on top %build,
- spec adapterized.

Revision 1.25  2001/09/01 13:06:21  qboosh
- 0.6.7, updated ac_fix and magick patches

Revision 1.24  2001/07/17 21:30:05  kloczek
- release 2,
- rebuild against gd 2.0.1,
- added ac_fix patch:
-- removed all silly things on chhecking cc/gcc/$CC use AC_PROG_CC,
-- s/AC_CONFIG_HEADER/AM_CONFIG_HEADER/,
-- add AM_INIT_AUTOMAKE(wv, 0.6.5),
- regenerate ac/am lt files (spec is ac 2.50 ready).

Revision 1.23  2001/06/01 12:57:47  misiek
- removed Build/Requires: iconv

Revision 1.22  2001/05/22 16:07:29  qboosh
- updated to 0.6.5, updated DESTDIR patch
- libwmf support disabled (requires not-yet-existent libwmf >= 0.2.0)
- magick patch to link with ImageMagick (note workaround: run magick test
  before png test - define HasPNG confused autoconf)

Revision 1.21  2001/03/21 02:41:15  kloczek
- release 3,
- rebuild against freetype1,
- temporary commented libxml2-devel BuildRequires rule.

Revision 1.20  2001/03/15 14:29:02  baggins
- buildrequires libxml2-devel

Revision 1.19  2001/03/14 23:50:12  kloczek
- reelease 2.

Revision 1.18  2001/03/14 23:41:01  qboosh
- fixed build problems
- BuildRequires: glib-devel; removed some BRs implied by others

Revision 1.17  2001/03/12 18:14:40  baggins
- updated to 0.6.4

Revision 1.16  2001/02/16 17:22:29  qboosh
- removed libwmf patch (libwmf is now linked properly)
- BuildRequires: autoconf

Revision 1.15  2001/01/26 18:53:59  qboosh
- changed workaround for xpm and libwmf tests (--with-xpm=)
- libwmf.patch: -lxgd -lwmf -ldib is required when linking with -lgdwmf

Revision 1.14  2001/01/18 22:44:47  kloczek
- uncomment "rm -rf $$RPM_BUILD_ROOT" in %clean.

Revision 1.13  2001/01/18 20:39:49  misiek
require libwmf >= 0.1.21

Revision 1.12  2001/01/18 10:28:04  misiek
more features enabled. Before sending it to builders libwmf MUST be updated.

Revision 1.11  2000/11/06 07:21:54  kloczek
- updated to 0.6.2,
- use new rpm automation,
- removed outdated gv-exec patch.

Revision 1.10  2000/09/26 16:05:40  wiget
fixed Requires

Revision 1.9  2000/09/26 15:51:11  tiwek
- updated to 0.6.0

Revision 1.8  2000/06/09 07:55:16  kloczek
- more %%{__make} macros.

Revision 1.7  2000/06/09 07:24:04  kloczek
- added using %%{__make} macro.

Revision 1.6  2000/06/07 02:46:39  kloczek
- spec adapterized.

Revision 1.5  2000/06/03 22:49:17  michuz
- release 3
- spec rewrited

Revision 1.4  2000/04/01 11:16:00  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.3  2000/03/28 16:55:13  baggins
- translated kloczkish into english

Revision 1.2  1999/11/27 14:24:10  kloczek
- adapter(ized) and partialy rewrited.

Based on spec written by Ryan Weaver <ryanw@infohwy.com>
